\begin{tikzpicture}[>=latex']
	\node[circle] (S) at (-3, 1) {$S$};
	\node (C) at (-3, -1) {$C$};
	\node (A) at (4, 5) {$A$};
	\node (B) at (4, 3) {$B$};
	\node (Ta) at (2, -2) {$T_a$};
	\node (Tb) at (2, 2) {$T_b$};
	\node (a) at (4, -2) {$a$};
	\node (b) at (4, 2) {$b$};

	\node (ABTb) at (2, 5) {$ABT_b$};
	\node (ATb) at (2, 4) {$AT_b$};
	\node (BTb) at (2, 3) {$BT_b$};
	\node (BATa) at (2, 1) {$BAT_a$};
	\node (ATa) at (2, 0) {$AT_a$};
	\node (BTa) at (2, -1) {$BT_a$};
	\node (ABC) at (2, -3) {$ABC$};
	\node (AC) at (2, -4) {$AC$};
	\node (BC) at (2, -5) {$BC$};
	\node (TaTa) at (6, 3) {$T_aT_a$};
	\node (TbTb) at (6, 5) {$T_bT_b$};

	\draw[->] (S) -- (ABTb);
	\draw[->] (S) -- (ATb);
	\draw[->] (S) -- (BTb);
	\draw[->] (S) -- (Tb);
	\draw[->] (S) -- (BATa);
	\draw[->] (S) -- (ATa);
	\draw[->] (S) -- (BTa);
	\draw[->] (S) -- (Ta);
	\draw[->] (S) -- (ABC);
	\draw[->] (S) -- (AC);
	\draw[->] (S) -- (BC);
	\draw[->] (S) to[bend left] (C);
	\draw[->] (C) to[bend left] (S);
	\draw[->] (A) to[bend left] (B);
	\draw[->] (B) to[bend left] (A);
	\draw[->] (A) -- (TbTb);
	\draw[->] (B) -- (TaTa);
	\draw[->] (Ta) -- (a);
	\draw[->] (Tb) -- (b);

\end{tikzpicture}
